package com.cm.smartgate.pojo.vos;

import com.cm.common.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SmartGateVO
 * @Description: 智慧网闸
 * @Author: WangGeng
 * @Date: 2020/8/27 9:49
 * @Version: 1.0
 **/
@ApiModel
public class SmartGateVO {

    @ApiModelProperty(name = "smartGateSerialNo", value = "设备编码")
    @CheckEmptyAnnotation(name = "设备编码")
    private String smartGateSerialNo;
    @ApiModelProperty(name = "smartGateName", value = "名称")
    @CheckEmptyAnnotation(name = "名称")
    private String smartGateName;
    @ApiModelProperty(name = "smartGateSummary", value = "描述")
    private String smartGateSummary;
    @ApiModelProperty(name = "smartGateIpAddress", value = "ip地址")
    @CheckEmptyAnnotation(name = "ip地址")
    private String smartGateIpAddress;
    @ApiModelProperty(name = "smartGatePort", value = "端口")
    private String smartGatePort;
    @ApiModelProperty(name = "smartGateUsername", value = "用户名")
    private String smartGateUsername;
    @ApiModelProperty(name = "smartGatePassword", value = "密码")
    private String smartGatePassword;

    public String getSmartGateSerialNo() {
        return smartGateSerialNo == null ? "" : smartGateSerialNo.trim();
    }

    public void setSmartGateSerialNo(String smartGateSerialNo) {
        this.smartGateSerialNo = smartGateSerialNo;
    }

    public String getSmartGateName() {
        return smartGateName == null ? "" : smartGateName.trim();
    }

    public void setSmartGateName(String smartGateName) {
        this.smartGateName = smartGateName;
    }

    public String getSmartGateSummary() {
        return smartGateSummary == null ? "" : smartGateSummary.trim();
    }

    public void setSmartGateSummary(String smartGateSummary) {
        this.smartGateSummary = smartGateSummary;
    }

    public String getSmartGateIpAddress() {
        return smartGateIpAddress == null ? "" : smartGateIpAddress.trim();
    }

    public void setSmartGateIpAddress(String smartGateIpAddress) {
        this.smartGateIpAddress = smartGateIpAddress;
    }

    public String getSmartGatePort() {
        return smartGatePort == null ? "" : smartGatePort.trim();
    }

    public void setSmartGatePort(String smartGatePort) {
        this.smartGatePort = smartGatePort;
    }

    public String getSmartGateUsername() {
        return smartGateUsername == null ? "" : smartGateUsername.trim();
    }

    public void setSmartGateUsername(String smartGateUsername) {
        this.smartGateUsername = smartGateUsername;
    }

    public String getSmartGatePassword() {
        return smartGatePassword == null ? "" : smartGatePassword.trim();
    }

    public void setSmartGatePassword(String smartGatePassword) {
        this.smartGatePassword = smartGatePassword;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"smartGateSerialNo\":\"")
                .append(smartGateSerialNo).append('\"');
        sb.append(",\"smartGateName\":\"")
                .append(smartGateName).append('\"');
        sb.append(",\"smartGateSummary\":\"")
                .append(smartGateSummary).append('\"');
        sb.append(",\"smartGateIpAddress\":\"")
                .append(smartGateIpAddress).append('\"');
        sb.append(",\"smartGatePort\":\"")
                .append(smartGatePort).append('\"');
        sb.append(",\"smartGateUsername\":\"")
                .append(smartGateUsername).append('\"');
        sb.append(",\"smartGatePassword\":\"")
                .append(smartGatePassword).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
